//
// $Id: be_visitor_argument.cpp,v 1.7 1999/07/09 04:18:45 alex Exp $
//

// ============================================================================
//
// = LIBRARY
//    TAO IDL
//
// = FILENAME
//    be_visitor_args.cpp
//
// = DESCRIPTION
//    Visitors for generation of code for Argument
//
// = AUTHOR
//    Aniruddha Gokhale
//
// ============================================================================

#include "idl.h"
#include "be.h"
#include "be_visitor_argument.h"

// include all the individual files
#include "be_visitor_argument/arglist.cpp"
#include "be_visitor_argument/argument.cpp"
#include "be_visitor_argument/docall_cs.cpp"
#include "be_visitor_argument/marshal_ss.cpp"
#include "be_visitor_argument/post_docall_cs.cpp"
#include "be_visitor_argument/post_docall_compiled_cs.cpp"
#include "be_visitor_argument/post_marshal_ss.cpp"
#include "be_visitor_argument/post_upcall_ss.cpp"
#include "be_visitor_argument/pre_docall_cs.cpp"
#include "be_visitor_argument/pre_upcall_ss.cpp"
#include "be_visitor_argument/upcall_ss.cpp"
#include "be_visitor_argument/vardecl_ss.cpp"
#include "be_visitor_argument/compiled_marshal_cs.cpp"
#include "be_visitor_argument/compiled_marshal_ss.cpp"
#include "be_visitor_argument/pre_invoke_cs.cpp"
#include "be_visitor_argument/ami_arglist.cpp"
#include "be_visitor_argument/ami_handler_arglist.cpp"
#include "be_visitor_argument/ami_handler_result_arg.cpp"
#include "be_visitor_argument/ami_handler_compiled_marshal_cs.cpp"
#include "be_visitor_argument/ami_handler_upcall_cs.cpp"
#include "be_visitor_argument/ami_handler_vardecl_cs.cpp"

ACE_RCSID(be, be_visitor_argument, "$Id: be_visitor_argument.cpp,v 1.7 1999/07/09 04:18:45 alex Exp $")

